# dmd.iasmdmd

Inline assembler implementation for DMD. https://dlang.org/spec/iasm.html

#### Authors

Mike Cote, John Micco and Walter Bright

#### License

Boost License 1.0

Source: iasmdmd.d

Documentation: https://dlang.org/phobos/dmd_iasmdmd.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/iasmdmd.d

- `inlineAsmSemantic`

  #### Declaration

  `Statement `inlineAsmSemantic`(InlineAsmStatement `s`, Scope* `sc`);`

  Perform semantic analysis on InlineAsmStatement.

  #### Parameters

  `InlineAsmStatement `s`` | inline asm statement
  `Scope* `sc`` | context

  #### Return Value

  ``s`` on success, ErrorStatement if errors happened